~cjoly/telescope-repo.nvim

402cbe4c1738fa232d706d724c1538e609662747 — Clément Joly 1 year, 8 months ago 36f252d
fix: prepare for nvim 0.8’s health module

`require("health")` becomes `vim.health`. See the announcement
https://github.com/neovim/neovim/issues/14090#issuecomment-1142461030
1 files changed, 2 insertions(+), 1 deletions(-)

M lua/telescope/_extensions/repo/health.lua
M lua/telescope/_extensions/repo/health.lua => lua/telescope/_extensions/repo/health.lua +2 -1
@@ 4,7 4,8 @@ local utils = require("telescope._extensions.repo.utils")
local list = require("telescope._extensions.repo.list")
local cached_list = require("telescope._extensions.repo.cached_list")

local health = require("health")
-- TODO Keep only vim.health once nvim 0.8 is required
local health = vim.health or require("health")

local Job = require("plenary.job")
local max_repo = 2